Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -800,67 +1144,489 @@
             DESCRIPTION
             "To set enable status for flood fdb."
             ::= { companySystem 26 }
+            
+        sysContactName  OBJECT-TYPE
+            SYNTAX      DisplayString (SIZE(1..128))
+            MAX-ACCESS  read-write
+            STATUS      current
+            DESCRIPTION
+            "To set system contact name."
+            ::= { companySystem 27 }
 -- end DLINK_METRO_LIKE_GENERAL
 
+        sysDhcpAutoConfigTimeout  OBJECT-TYPE
+            SYNTAX      INTEGER (1..65535)
+            MAX-ACCESS  read-write
+            STATUS      current
+            DESCRIPTION
+            "To set dhcp auto config timeout."
+            ::= { companySystem 28 }
 
+        sysCommandLogging OBJECT-TYPE
+           SYNTAX      INTEGER {
+                    enable    (1),
+                    disable   (2)
+            }
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+           "To set enable status for CommandLogging."
+
+           ::= { companySystem 29 }
+           
+        sysSerialNumber OBJECT-TYPE
+           SYNTAX      DisplayString (SIZE(1..13))
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+           "To get the serial number."
+
+           ::= { companySystem 30 }
+
+-- start DLINK_METRO_LIKE_FIRMWARE_INFO_DISPLAY
+
+    --FirmwareInfo
+        firmwareInfoImage1Version OBJECT-TYPE
+           SYNTAX      DisplayString (SIZE(1..15))
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The version of firmware information."
+                DEFVAL { "" }
+
+           ::= { firmwareInfoImage1 1 }
+
+        firmwareInfoImage1Size OBJECT-TYPE
+           SYNTAX      Integer32
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The size of firmware information."
+
+           ::= { firmwareInfoImage1 2 }
+
+        firmwareInfoImage1UpdateTime OBJECT-TYPE
+           SYNTAX      DisplayString (SIZE(1..20))
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The Update Time of firmware information."
+
+           ::= { firmwareInfoImage1 3 }
+
+        firmwareInfoImage1FromIP OBJECT-TYPE
+           SYNTAX      IpAddress
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The IP address of firmware information."
+
+           ::= { firmwareInfoImage1 4 }
+
+        firmwareInfoImage1User OBJECT-TYPE
+           SYNTAX      DisplayString (SIZE(1..9))
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The user of firmware infomation."
+
+           ::= { firmwareInfoImage1 5 }
+
+          firmwareInfoImage1Type OBJECT-TYPE
+           SYNTAX      INTEGER{
+                    console(1),
+                    telnet(2),
+                    ssh(3),
+                    web(4),
+                    unknown(-1)
+
+           }
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The type of firmware infomation."
+
+           ::= { firmwareInfoImage1 6 }
+-- end DLINK_METRO_LIKE_FIRMWARE_INFO_DISPLAY
+
+        sysBootupConfigID OBJECT-TYPE
+           SYNTAX      INTEGER (1..2)
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+           "To get/set bootup config ID."
+           ::= { companySystem 33 }
+
+        sysDhcpAutoImage  OBJECT-TYPE
+            SYNTAX      INTEGER {
+                    enable(1),
+                    disable(2)
+            }
+            MAX-ACCESS  read-write
+            STATUS      current
+            DESCRIPTION
+            "This object indicates auto image is enabled or disabled."
+            DEFVAL { disable }
+            ::= { companySystem 34 }
+
+-- Port Media Type Table
+
+        sysPortMediaTypeTable OBJECT-TYPE
+           SYNTAX      SEQUENCE OF SysPortMediaTypeEntry
+           MAX-ACCESS  not-accessible
+           STATUS      current
+           DESCRIPTION
+               "A table to control the port specific parameters of the device like speed,
+                Vendor name, etc."
+           ::= { companySystem 36 }
+
+        sysPortMediaTypeEntry OBJECT-TYPE
+           SYNTAX      SysPortMediaTypeEntry
+           MAX-ACCESS  not-accessible
+           STATUS      current
+           DESCRIPTION
+               "An entry appears in this table for each interface in the system.
+
+               Index to the table is the interface index of the port."
+
+           INDEX { sysPortMediaTypeIndex , sysPortMediaType}
+           ::= { sysPortMediaTypeTable 1 }
+
+        SysPortMediaTypeEntry ::=
+           SEQUENCE {
+              sysPortMediaTypeIndex
+                 Integer32,
+              sysPortMediaType
+                 INTEGER,
+              sysPortType
+                 INTEGER,
+              sysPortMediaTypeVendorName
+                 DisplayString,
+              sysPortMediaTypeOui
+                 DisplayString,
+              sysPortMediaTypePn
+                 DisplayString,
+              sysPortMediaTypeRev
+                 DisplayString,
+              sysPortMediaTypeSn
+                 DisplayString,
+              sysPortMediaTypeDateCode
+              	 DisplayString
+          }
+
+        sysPortMediaTypeIndex OBJECT-TYPE
+           SYNTAX      Integer32 (1..65535)
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "Interface index of the port for the configuration
+              in this entry applies."
+
+           ::= { sysPortMediaTypeEntry 1 }
+
+        sysPortMediaType OBJECT-TYPE
+           SYNTAX      INTEGER {
+             copper(100),
+             fiber(101)
+           }
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "This object indicates the port type: fiber 1G/100M or copper."
+
+           ::= { sysPortMediaTypeEntry 2 }
+
+        sysPortType OBJECT-TYPE
+           SYNTAX      INTEGER {
+                         rate100M  (1),
+                         rate1000M (2),
+                         rate10G  (3)
+                      }
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "Configures interface speed."
+
+           ::= { sysPortMediaTypeEntry 3 }
+
+        sysPortMediaTypeVendorName OBJECT-TYPE
+           SYNTAX      DisplayString (SIZE(1..20))
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The port's VendorName."
+
+           ::= { sysPortMediaTypeEntry 4 }
+
+        sysPortMediaTypeOui OBJECT-TYPE
+           SYNTAX      DisplayString (SIZE(1..20))
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The port's Oui."
+
+           ::= { sysPortMediaTypeEntry 5 }
+
+        sysPortMediaTypePn OBJECT-TYPE
+           SYNTAX     DisplayString (SIZE(1..20))
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The port's Pn."
+
+           ::= { sysPortMediaTypeEntry 6 }
+
+        sysPortMediaTypeRev OBJECT-TYPE
+            SYNTAX     DisplayString (SIZE(1..20))
+            MAX-ACCESS  read-only
+            STATUS      current
+            DESCRIPTION
+                "The port's Rev."
+            ::= { sysPortMediaTypeEntry 7 }
+
+        sysPortMediaTypeSn OBJECT-TYPE
+            SYNTAX      DisplayString (SIZE(1..20))
+            MAX-ACCESS  read-only
+            STATUS      current
+            DESCRIPTION
+                "The port's Sn."
+
+            ::= { sysPortMediaTypeEntry 8 }
+
+    	sysPortMediaTypeDateCode OBJECT-TYPE
+            SYNTAX  DisplayString (SIZE(1..20))
+	    MAX-ACCESS read-only
+     	    STATUS current
+      	    DESCRIPTION
+      		"The port's DateCode."
+   	    ::= { sysPortMediaTypeEntry 9 }
+
+sysScheduleRebootTable  OBJECT-TYPE
+            SYNTAX     SEQUENCE OF SysScheduleRebootEntry
+            MAX-ACCESS not-accessible
+            STATUS     current
+            DESCRIPTION
+               "An entry containing systom restart time schedule."
+            ::= { companySystem 41 }
+
+        sysScheduleRebootEntry OBJECT-TYPE
+            SYNTAX     SysScheduleRebootEntry
+            MAX-ACCESS not-accessible
+            STATUS     current
+            DESCRIPTION
+                  "An entry containing systom restart time schedule."
+            INDEX { sysScheduleRebootIndex}
+            ::= { sysScheduleRebootTable 1 }
+
+        SysScheduleRebootEntry  ::=
+           SEQUENCE {
+                sysScheduleRebootIndex        INTEGER,
+                sysScheduleRebootTimeType     INTEGER,
+                sysScheduleRebootTimeSetting  OCTET STRING,
+                sysScheduleRebootSaveConfig   INTEGER,
+                sysScheduleRebootStatus       RowStatus
+              }
+
+        sysScheduleRebootIndex OBJECT-TYPE
+           SYNTAX      INTEGER
+           MAX-ACCESS  read-only
+           STATUS      current
+           DESCRIPTION
+              "The index for reboot schedule."
+           ::= { sysScheduleRebootEntry 1 }
+
+        sysScheduleRebootTimeType OBJECT-TYPE
+           SYNTAX INTEGER{
+                in(1),
+                at(2)
+           }
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "Schedule Reboot Time Type. One(in) is system reboots after a time interval,
+              and Two(at) is system reboots at the specific date and time."
+           ::= { sysScheduleRebootEntry 2 }
+
+        sysScheduleRebootTimeSetting OBJECT-TYPE
+           SYNTAX      OCTET STRING
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "If Time is Type One(in) , the time format is min(1-43200).
+               If Time is Type Two(at), the time format is hh:mm ddmthyyyy(date is optional)."
+           ::= { sysScheduleRebootEntry 3 }
+
+        sysScheduleRebootSaveConfig OBJECT-TYPE
+           SYNTAX INTEGER  {
+        		 enabled(1),
+        		 disabled(2)
+           }
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+              "System will save configuration before restarting."
+           ::= { sysScheduleRebootEntry 4 }
+
+        sysScheduleRebootStatus OBJECT-TYPE
+           SYNTAX RowStatus
+           MAX-ACCESS read-write
+           STATUS     current
+           DESCRIPTION
+             "This object indicates the status of this entry.
+             To create a new entry, you must set the cameraInformationStatus
+             to be CreateAndGo, then this entry will turn to be Active."
+           ::= { sysScheduleRebootEntry 5 }
+        sysSaveOperationStatus OBJECT-TYPE
+             SYNTAX INTEGER {
+                save_progressing(1),
+                last_save_success(2),
+                last_save_fail(3),
+                last_save_none(4)
+             }
+             MAX-ACCESS read-only
+             STATUS current
+             DESCRIPTION
+                 "configuration saving status."
+             ::= { companySystem 42 }
+        sysPasswordRecovery OBJECT-TYPE
+           SYNTAX       INTEGER {
+               enabled(1),
+               disabled(2)
+           }
+           MAX-ACCESS  read-write
+           STATUS      current
+           DESCRIPTION
+           "To get/set Password recovery."
+           ::= { companySystem 44 }
+
         -- -------------------------------------------------------------------------
-        -- companyIpifGroup       
+        -- companyIpifGroup
         -- -------------------------------------------------------------------------
-       
-       sysIpAddrCfgMode OBJECT-TYPE 
+
+       ipv4sysIpAddrCfgMode OBJECT-TYPE
        SYNTAX      INTEGER {
                     manual(1),
                     dynamic(2)
                    }
-       MAX-ACCESS  read-write 
-       STATUS      current 
-       DESCRIPTION 
-          "Specifies the means by which the default interface in the device 
+       MAX-ACCESS  read-write
+       STATUS      current
+       DESCRIPTION
+          "Specifies the means by which the default interface in the device
 
       gets the IP address.
 
-      If 'manual' mode is selected, the default interface takes the 
+      If 'manual' mode is selected, the default interface takes the
       'sysDefaultIpAddr' configured in the system.
 
       If 'dynamic' mode is selected, the default interface gets the IP address
-      through dynamic IP address configuration protocols such as RARP client, 
+      through dynamic IP address configuration protocols such as RARP client,
       BootP client, DHCP Client, etc.
-      
+
       If the system fails to get the IP address dynamically through all the
-      above protocols, the default interface uses the 'sysDefaultIpAddr' 
-      configured in the system."  
-       DEFVAL  { manual } 
+      above protocols, the default interface uses the 'sysDefaultIpAddr'
+      configured in the system."
+       DEFVAL  { manual }
        ::= { companyIpifGroup 1 }
 
-    sysIpAddr  OBJECT-TYPE
+    ipv4sysIpAddr  OBJECT-TYPE
        SYNTAX      IpAddress
        MAX-ACCESS  read-write
        STATUS      current
-       DESCRIPTION 
+       DESCRIPTION
           "Default IP Address of the system.
-    
-           This IP address, if modified, will take effect only when the 
+           This IP address, if modified, will take effect only when the
            configuration is stored & restored."
        ::= { companyIpifGroup 2 }
-    
-    sysIpSubnetMask  OBJECT-TYPE
+
+    ipv4sysIpSubnetMask  OBJECT-TYPE
        SYNTAX      IpAddress
        MAX-ACCESS  read-write
        STATUS      current
-       DESCRIPTION 
+       DESCRIPTION
           "IP subnet mask for the default IP address.
-    
            This subnet mask, if modified, will take effect only when the
            configuration is stored & restored."
        ::= { companyIpifGroup 3 }
 
+    ipv4sysGateway  OBJECT-TYPE
+       SYNTAX      IpAddress
+       MAX-ACCESS  read-write
+       STATUS      current
+       DESCRIPTION "Gateway"
+       ::= { companyIpifGroup 4 }
+
+    ipv4dhcpOption12Status  OBJECT-TYPE
+       SYNTAX      INTEGER {
+                    enable(1),
+                    disable(2)
+                   }
+       MAX-ACCESS  read-write
+       STATUS      current
+       DESCRIPTION "Status of DHCP Option12"
+       ::= { companyIpifGroup 5 }
+
+    ipv4dhcpOption12HostName  OBJECT-TYPE
+       SYNTAX      OCTET STRING
+       MAX-ACCESS  read-write
+       STATUS      current
+       DESCRIPTION "Host name in DHCP option 12"
+       ::= { companyIpifGroup 6 }
+
+      -- ----------------------------------------------------------------
+      -- The multiIFSupportV4V6Info group
+      -- ----------------------------------------------------------------
+
+      ipifSupportV4V6Info         OBJECT IDENTIFIER ::= { companyIpifGroup 7 }
+
+       sysIpAddrCfgMode OBJECT-TYPE
+       SYNTAX      INTEGER {
+                    manual(1),
+                    dynamic(2)
+                   }
+       MAX-ACCESS  read-write
+       STATUS      current
+       DESCRIPTION
+          "Specifies the means by which the default interface in the device
+      gets the IP address.
+      If 'manual' mode is selected, the default interface takes the
+      'sysDefaultIpAddr' configured in the system.
+      If 'dynamic' mode is selected, the default interface gets the IP address
+      through dynamic IP address configuration protocols such as RARP client,
+      BootP client, DHCP Client, etc.
+      If the system fails to get the IP address dynamically through all the
+      above protocols, the default interface uses the 'sysDefaultIpAddr'
+      configured in the system."
+       DEFVAL  { manual }
+       ::= { ipifSupportV4V6Info 1 }
+
+    sysIpAddr  OBJECT-TYPE
+       SYNTAX      IpAddress
+       MAX-ACCESS  read-write
+       STATUS      current
+       DESCRIPTION
+          "Default IP Address of the system.
+           This IP address, if modified, will take effect only when the
+           configuration is stored & restored."
+       ::= { ipifSupportV4V6Info 2 }
+
+    sysIpSubnetMask  OBJECT-TYPE
+       SYNTAX      IpAddress
+       MAX-ACCESS  read-write
+       STATUS      current
+       DESCRIPTION
+          "IP subnet mask for the default IP address.
+
+           This subnet mask, if modified, will take effect only when the
+           configuration is stored & restored."
+       ::= { ipifSupportV4V6Info 3 }
+
     sysGateway  OBJECT-TYPE
        SYNTAX      IpAddress
        MAX-ACCESS  read-write
        STATUS      current
-       DESCRIPTION 
+       DESCRIPTION
           "Gateway"
-       ::= { companyIpifGroup 4 }
+       ::= { ipifSupportV4V6Info 4 }
 
     dhcpOption12Status  OBJECT-TYPE
        SYNTAX      INTEGER {
@@ -869,35 +1635,243 @@
                    }
        MAX-ACCESS  read-write
        STATUS      current
-       DESCRIPTION 
+       DESCRIPTION
           "Status of DHCP Option12"
-       ::= { companyIpifGroup 5 }
-       
+       ::= { ipifSupportV4V6Info 5 }
+
     dhcpOption12HostName  OBJECT-TYPE
        SYNTAX      OCTET STRING
        MAX-ACCESS  read-write
        STATUS      current
-       DESCRIPTION 
+       DESCRIPTION
           "Host name in DHCP option 12"
-       ::= { companyIpifGroup 6 }
+       ::= { ipifSupportV4V6Info 6 }
 
+    ipifName           OBJECT-TYPE
+         SYNTAX             OCTET STRING
+         MAX-ACCESS         read-only
+         STATUS             current
+         DESCRIPTION
+               "The Description for the interface."
+         ::= { ipifSupportV4V6Info 7 }
+
+      ipifVLANname       OBJECT-TYPE
+         SYNTAX             OCTET STRING
+         MAX-ACCESS         read-only
+         STATUS             current
+         DESCRIPTION
+               "The vlan name for the interface."
+         ::= { ipifSupportV4V6Info 8 }
+
+      ipifv6GlobalStatus     OBJECT-TYPE
+            SYNTAX              INTEGER   {
+                                  enable(1),
+                                  disable(2)
+                                }
+            MAX-ACCESS          read-write
+            STATUS              current
+            DESCRIPTION
+                "The ID of VLAN that you want this interface to be in.
+                It must be a exist vlan id."
+            ::= { ipifSupportV4V6Info 9 }
+
+      ipifv6DHCPStatus       OBJECT-TYPE
+            SYNTAX              INTEGER   {
+                                  enable(1),
+                                  disable(2)
+                                }
+            MAX-ACCESS          read-write
+            STATUS              current
+            DESCRIPTION
+                "The state of DHCPv6 that you want this interface to be in.
+                It must be a exist vlan id."
+            ::= { ipifSupportV4V6Info 10 }
+
+      ipifv6AutolinkloStatus OBJECT-TYPE
+            SYNTAX              INTEGER   {
+                                  enable(1),
+                                  disable(2)
+                                }
+            MAX-ACCESS          read-write
+            STATUS              current
+            DESCRIPTION
+                "The global state of link local that you want this interface to be in.
+                It must be a exist vlan id."
+            ::= { ipifSupportV4V6Info 11 }
+
+      ipifv6NSRetransmitTime OBJECT-TYPE
+            SYNTAX              INTEGER
+            MAX-ACCESS          read-write
+            STATUS              current
+            DESCRIPTION
+                "The NS's retransmit time that you want this interface to be in.
+                It must be a exist vlan id (1~3600)."
+            ::= { ipifSupportV4V6Info 12 }
+
+      ipifv6DefaultGateway OBJECT-TYPE
+            SYNTAX              Ipv6Address
+            MAX-ACCESS          read-write
+            STATUS              current
+            DESCRIPTION
+                "The ipv6 default gateway that you want this interface to be in.
+                It must be a exist vlan id."
+            ::= { ipifSupportV4V6Info 13 }
+
+    -- ---------------------------------------------------------------------
+    -- ---------------------------------------------------------------------
+
+      ipifV6AddressTable          OBJECT-TYPE
+         SYNTAX            SEQUENCE OF IpifV6AddressEntry
+         MAX-ACCESS        not-accessible
+         STATUS            current
+         DESCRIPTION
+            "A list of interface entries."
+         ::= { ipifSupportV4V6Info 14}
+
+      ipifV6AddressEntry          OBJECT-TYPE
+         SYNTAX            IpifV6AddressEntry
+         MAX-ACCESS        not-accessible
+         STATUS            current
+         DESCRIPTION
+            "An entry containing management information applicable
+               to a particular interface."
+         INDEX { ipifV6AddressMainIndex, ipifV6AddressIpAddr, ipifV6AddressIpPrefix }
+         ::= { ipifV6AddressTable 1 }
+
+      IpifV6AddressEntry ::=
+         SEQUENCE {
+                ipifV6AddressMainIndex              InterfaceIndex,
+                ipifV6AddressIpAddr                 Ipv6Address,     -- IPv6 Address.
+                ipifV6AddressIpPrefix               INTEGER,         -- IPv6 Address Prefix.
+                ipifV6AddressIpType                 INTEGER,         -- IP type (Link-local, Global, anycast).
+                ipifV6AddressRowStatus              RowStatus        -- IPv6 Address entries row status.
+            }
+
+      ipifV6AddressMainIndex    OBJECT-TYPE
+         SYNTAX                 InterfaceIndex
+         MAX-ACCESS             read-only
+         STATUS                 current
+         DESCRIPTION
+            "The index of this IPv6 entry."
+         ::= { ipifV6AddressEntry 1 }
+
+      ipifV6AddressIpAddr       OBJECT-TYPE
+         SYNTAX                 Ipv6Address
+         MAX-ACCESS             read-only
+         STATUS                 current
+         DESCRIPTION
+            "The ip address of this IPv6 entry."
+         DEFVAL { '00000000'H }
+         ::= { ipifV6AddressEntry 2 }
+
+      ipifV6AddressIpPrefix     OBJECT-TYPE
+            SYNTAX              INTEGER (1..128)
+            MAX-ACCESS          read-only
+            STATUS              current
+            DESCRIPTION
+            "The ip prefix of this IPv6 entry."
+        ::= { ipifV6AddressEntry 3 }
+
+      ipifV6AddressIpType       OBJECT-TYPE
+         SYNTAX                 INTEGER {
+                                    unicast(1),
+                                    anycast(2),
+                                    linklocal(3)
+                                }
+            MAX-ACCESS          read-only
+            STATUS              current
+            DESCRIPTION
+            "The ip type of this IPv6 entry."
+        ::= { ipifV6AddressEntry 4 }
+
+      ipifV6AddressRowStatus    OBJECT-TYPE
+         SYNTAX                 RowStatus
+         MAX-ACCESS             read-create
+         STATUS                 current
+         DESCRIPTION
+            "The status of an entry in the Multi Interface Table.  Only a subset
+             of the rowstatus variables (active, createAndWait, destroy) are available."
+         ::= { ipifV6AddressEntry 5 }
+
+    -- ---------------------------------------------------------------------
+    -- ---------------------------------------------------------------------
+
+      ipv4IPIFTable          OBJECT-TYPE
+         SYNTAX            SEQUENCE OF Ipv4IPIFEntry
+         MAX-ACCESS        not-accessible
+         STATUS            current
+         DESCRIPTION
+            "A list of interface entries."
+         ::= { ipifSupportV4V6Info 15 }
+
+      ipv4IPIFEntry          OBJECT-TYPE
+         SYNTAX            Ipv4IPIFEntry
+         MAX-ACCESS        not-accessible
+         STATUS            current
+         DESCRIPTION
+            "An entry containing management information applicable
+               to a particular interface."
+         INDEX { ipv4IfIndex }
+         ::= { ipv4IPIFTable 1 }
+
+      Ipv4IPIFEntry ::=
+         SEQUENCE {
+		    ipv4IfIndex                 InterfaceIndex,
+            ipv4IfVLANname        OCTET STRING
+            }
+
+      ipv4IfIndex          OBJECT-TYPE
+         SYNTAX            InterfaceIndex
+         MAX-ACCESS        read-only
+         STATUS            current
+         DESCRIPTION
+            "The index of this interface."
+         ::= { ipv4IPIFEntry 1 }
+
+     ipv4IfVLANname   OBJECT-TYPE
+         SYNTAX      OCTET STRING
+         MAX-ACCESS  read-write
+         STATUS      current
+         DESCRIPTION
+               "The vlan name for the interface."
+         ::= { ipv4IPIFEntry 2 }
+
+    -- ---------------------------------------------------------------------
+    -- ---------------------------------------------------------------------
+
+    ipv4sysIprouteGateway OBJECT-TYPE
+       SYNTAX      IpAddress
+       MAX-ACCESS  read-write
+       STATUS      current
+       DESCRIPTION
+          "IProute Gateway of the system."
+       ::= { companyIpifGroup 8 }
+
+    ipv4sysIprouteHops  OBJECT-TYPE
+       SYNTAX      INTEGER
+       MAX-ACCESS  read-write
+       STATUS      current
+       DESCRIPTION
+          "IProute Hops of the system."
+       ::= { companyIpifGroup 9 }
+
+
         -- -------------------------------------------------------------------------
-        -- companyTftpGroup         
+        -- companyTftpGroup
         -- -------------------------------------------------------------------------
         tftpFwServerIpAddress OBJECT-TYPE
               SYNTAX IpAddress
               MAX-ACCESS read-write
-              STATUS current
+              STATUS obsolete
               DESCRIPTION
                   "The TFTP server's IP address is used to upload or
   		           download firmware."
               ::= { companyTftpGroup 1 }
- 
 
         tftpFwImageFileName OBJECT-TYPE
              SYNTAX DisplayString (SIZE(1..64))
              MAX-ACCESS read-write
-             STATUS current
+             STATUS obsolete
              DESCRIPTION
                  "Configure firmware filename to download."
              ::= { companyTftpGroup 2 }
@@ -909,7 +1883,7 @@
                     upload(2)
              }
              MAX-ACCESS read-write
-             STATUS current
+             STATUS obsolete
              DESCRIPTION
                  "The tftp operates to perform downloading the firmware image
                  to the unit. This object is used in conjunction with
@@ -925,29 +1899,29 @@
                     transmit(4)
              }
              MAX-ACCESS read-only
-             STATUS current
+             STATUS obsolete
              DESCRIPTION
                  "The tftp operation status represent firmware backup or upgrade status."
              ::= { companyTftpGroup 4 }
-         
+
          tftpCfgServerIpAddress OBJECT-TYPE
               SYNTAX IpAddress
               MAX-ACCESS read-write
-              STATUS current
+              STATUS obsolete
               DESCRIPTION
                   "The TFTP server's IP address is used to upload or
   		           download configuration file."
               ::= { companyTftpGroup 5 }
-                
+
          tftpConfigFileName OBJECT-TYPE
               SYNTAX DisplayString (SIZE(1..64))
               MAX-ACCESS read-write
-              STATUS current
+              STATUS obsolete
               DESCRIPTION
-                  "The configuration filename is used to store or retrieve config 
+                  "The configuration filename is used to store or retrieve config
                    from the tftp server."
               ::= { companyTftpGroup 6 }
-  
+
          tftpConfigTftpOperation OBJECT-TYPE
               SYNTAX INTEGER {
                      download(1),
@@ -955,11 +1929,11 @@
                      progressing(3)
               }
               MAX-ACCESS read-write
-              STATUS current
+              STATUS obsolete
               DESCRIPTION
-                  "The tftp operates to perform either downloading the 
+                  "The tftp operates to perform either downloading the
   		           configuration file to the unit or uploading the current
-  		           configuration file to the tftp server. This object is 
+  		           configuration file to the tftp server. This object is
   		           used in conjunction with configTftpServerIpAddress
   		           and configTftpServerFileName."
               ::= { companyTftpGroup 7 }
